<?php

/**
 * (c) 2004-2007 Linbox / Free&ALter Soft, http://linbox.com
 * (c) 2007-2013 Mandriva, http://www.mandriva.com
 *
 * This file is part of Mandriva Management Console (MMC).
 *
 * MMC is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * MMC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MMC.  If not, see <http://www.gnu.org/licenses/>.
 */

require_once("modules/davical/includes/davical-xmlrpc.inc.php");
require("localSidebar.php");
require("graph/navbar.inc.php");

$p = new PageGenerator(_T("Calendars list", "davical"));
$p->setSideMenu($sidemenu);
$p->display();

$calendars = getCalendars();
$calName = array();
$calDescription = array();
$calPath = array();

foreach ($calendars as $cal) {
	$calPath[] = urldecode($cal[0]);
    $calName[] = $cal[1];
    $calDescription[] = $cal[2];
}

$listCal = new ListInfos($calPath, _T("Calendar path"));
$listCal->addExtraInfo($calName,_T("Pretty Name"));
$listCal->addExtraInfo($calDescription, _T("Description"));
$listCal->addActionItem(new ActionItem(_("Edit users ACLs"),"acl_users","acl_users","calendar"));
/*$listCal->addActionItem(new ActionItem(_("Edit groups ACLs"),"acl_groups","acl_groups","calendar"));*/
$listCal->addActionItem(new ActionPopupItem(_("Delete"),"delete","delete","calendar"));
$listCal->disableFirstColumnActionLink();
$listCal->first_elt_padding = 1;

$listCal->display();

?>
